import request from '@/utils/request'

// 查询用户认证审核列表
export function listUserAuthAudit(query) {
  return request({
    url: '/xq/userAuthAudit/list',
    method: 'get',
    params: query
  })
}

// 查询用户认证审核详细
export function getUserAuthAudit(id) {
  return request({
    url: '/xq/userAuthAudit/' + id,
    method: 'get'
  })
}

// 新增用户认证审核
export function addUserAuthAudit(data) {
  return request({
    url: '/xq/userAuthAudit',
    method: 'post',
    data: data
  })
}

// 修改用户认证审核
export function updateUserAuthAudit(data) {
  return request({
    url: '/xq/userAuthAudit',
    method: 'put',
    data: data
  })
}

// 删除用户认证审核
export function delUserAuthAudit(id) {
  return request({
    url: '/xq/userAuthAudit/' + id,
    method: 'delete'
  })
}


export function userAuthAuditSuccess(data) {
  return request({
    url: '/xq/userAuthAudit/audit/success',
    method: 'post',
    data: data
  })
}


export function userAuthAuditFail(data) {
  return request({
    url: '/xq/userAuthAudit/audit/fail',
    method: 'post',
    data: data
  })
}
